# Generated by go2rpm
%bcond_without check

# https://github.com/pelletier/go-toml
%global goipath         github.com/pelletier/go-toml
Version:                1.9.5

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-github-pelletier-go-toml-devel < 1.8.0

%pretrans devel
# glide.lock used to wrongly be an empty directory
[ -d "%{gopath}/src/%{goipath}/glide.lock" ] && rmdir "%{gopath}/src/%{goipath}/glide.lock" || :
}

%global common_description %{expand:
Go-toml provides the following features for using data parsed from TOML
documents:

 - Load TOML documents from files and string data
 - Easily navigate TOML structure using Tree
 - Mashaling and unmarshaling to and from data structures
 - Line & column position data for all parsed elements
 - Query support similar to JSON-Path
 - Syntax errors contain line and column numbers}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 4
Summary:        Go library for the toml language
Group:          Development/Other

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%if %{with check}
# Tests
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles


%changelog
* Sun Nov 20 2022 guillomovitch <guillomovitch> 1.9.5-4.mga9
+ Revision: 1909203
- new version 1.9.5

* Sat Jan 29 2022 guillomovitch <guillomovitch> 1.9.4-4.mga9
+ Revision: 1770254
- new version 1.9.4

* Sat Nov 06 2021 guillomovitch <guillomovitch> 1.8.1-4.mga9
+ Revision: 1754145
- rebuild for mageia 9

* Fri Dec 25 2020 guillomovitch <guillomovitch> 1.8.1-3.mga8
+ Revision: 1663597
- new version 1.8.1

* Sun Nov 01 2020 pterjan <pterjan> 1.8.0-3.mga8
+ Revision: 1641238
- Fix pretrans to not fail when there is nothing to do

* Sat Sep 05 2020 guillomovitch <guillomovitch> 1.8.0-2.mga8
+ Revision: 1622451
- fix upgrade

* Sat Sep 05 2020 guillomovitch <guillomovitch> 1.8.0-1.mga8
+ Revision: 1622329
- renamed to golang-github-pelletier-toml
- new version 1.8.0
- renamed to golang-github-pelletier-toml

* Mon Nov 26 2018 pterjan <pterjan> 1.0.0-0.7.mga7
+ Revision: 1335422
- imported package golang-github-pelletier-go-toml

